Subject: [Fot] TR3 Prices

From: Richard Gehweiler <[email-masked]>
Date: Tue, 05 Nov 2013 11:28:41 -0600

I have a friend that is advancing in years (that is anyone that is older 
than me) and has been having some health issues. He is going to sell his 
TR3 to his grandson (Lucky guy) and asked me what i thought the car is 
worth, so I told him that I would seek the wisdom of the FOT. The car is 
a small mouth car that is what I call a "Road Warrior", that is solid 
but the paint and interior are somewhat rough. It also has Brookland 
Screens on it. Mechanically the car is great, it has a Mike Belfer 
engine that is very strong. I am looking for actual selling prices of 
cars, not asking prices.

  Thanks in advance
Richard Gehweiler
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive